org.red5.server.script.rhino

## Class RhinoScriptUtils

- java.lang.Object
- - org.red5.server.script.rhino.RhinoScriptUtils

    public class RhinoScriptUtils
    extends Object

Utility methods for handling Rhino / Javascript objects.

Since:
  0.6
Author:
  Paul Gregoire

### Constructor Summary

Constructors
Constructor and Description
`RhinoScriptUtils()`

### Method Summary

Methods
`static Object` `createRhinoObject(String scriptSource, Class[] interfaces, Class extendedClass)` Create a new Rhino-scripted object from the given script source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RhinoScriptUtils

    public RhinoScriptUtils()

### Method Detail

#### createRhinoObject

    public static Object createRhinoObject(String scriptSource,
                           Class[] interfaces,
                           Class extendedClass)
                                    throws org.springframework.scripting.ScriptCompilationException,
                                           IOException,
                                           Exception

Create a new Rhino-scripted object from the given script source.

Parameters:
  `scriptSource` - the script source text
  `interfaces` - the interfaces that the scripted Java object is supposed to implement
  `extendedClass` -
Returns:
  the scripted Java object
Throws:
  `org.springframework.scripting.ScriptCompilationException` - in case of Rhino parsing failure
  `IOException`
  `Exception`